Bug 1158820 - [RFE] add event mechanism to send events from the host to the engine
Summary: [RFE] add event mechanism to send events from the host to the engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Piotr Kliczewski
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 10:10 UTC by Oved Ourfali
Modified: 2016-03-09 20:50 UTC (History)
11 users (show)

Fixed In Version: OVIRT 3.6.0-3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 20:50:13 UTC
oVirt Team: Infra
sherold: Triaged+
ylavi: testing_beta_priority+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC

Description Oved Ourfali 2014-10-30 10:10:59 UTC
Description of problem:
The introduction of the jsonrpc communication mechanism is leading the way to further improve the engine-hypervisor communication.
This RFE is for adding a mechanism to send events from the host to the engine.

Comment 1 Fabian Deutsch 2014-10-31 17:57:36 UTC
Let me mention the https://wiki.mozilla.org/WebAPI/SimplePush which integrates well with at least Firefox.

Comment 2 Oved Ourfali 2015-07-01 10:51:48 UTC
Piotr, any testing required here, or will the tests be performed only on the VM monitoring changes?

Comment 3 Piotr Kliczewski 2015-07-01 11:19:24 UTC
There is no way to test this infrastructure without using it and the only way to use it without writing additional code is vm monitoring.

Comment 4 Pavol Brilla 2015-09-22 14:26:23 UTC
verified on 3.6.0-0.16.master.el6

Comment 6 errata-xmlrpc 2016-03-09 20:50:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.